:root {
  --main-text-coor: rgb(255, 255, 255);
  --main-bg-color: rgba(23, 23, 23, 1);
  --btn-borders-text-color: rgba(228, 181, 100, 1);
  --client-bg-color-1-6: rgba(99, 79, 44, 1);
  --client-bg-color-2: rgba(232, 210, 171, 0.76);
  --client-bg-color-3: rgba(228, 181, 100, 1);
  --client-bg-color-4: rgba(99, 90, 74, 1);
  --client-bg-color-5: rgba(176, 140, 77, 1);
  --plash-bg-color: rgba(176, 140, 77, 1);
}
html {
  width: 100vw;
  height: 100vh;
  background-color: var(--main-bg-color);
  color: var(--main-text-coor);
  box-sizing: border-box;
}
/* Page Header*/
.main-page-header {
  max-width: 1420px;
  margin: 0 auto;
  padding: 40px 0;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
}
.bg-section-width {
  max-width: 1420px;
  margin: 0 auto;
}
.parallax-1 {
  background: url("../img/header-bg.jpeg");
  background-attachment: fixed;
}
.parallax-2 {
  background: url("../img/parallax-bg.jpeg");
  background-attachment: fixed;
}

.main-page-header h1 {
  text-transform: uppercase;
}
.main-page-header h1 a {
  width: 216px;
  text-decoration: none;
  color: var(--main-text-coor);
  cursor: pointer;
}
.main-page-header button {
  color: var(--btn-borders-text-color);
  width: 218px;
  height: 50px;
  border: 1px solid var(--btn-borders-text-color);
  background: transparent;
  cursor: pointer;
  font-size: 18px;
}
.main-page-header button i {
  width: 13px;
  margin-right: 10px;
}
/* Page section main-page-profile*/
.main-page-profile div {
  position: relative;
}
.main-page-technics div {
  position: relative;
}
.main-page-profile div p,
.main-page-technics div p {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}
.main-page-profile {
  padding: 40px 0;
  display: grid;
  grid-template-rows: auto auto 468px 468px;
  grid-template-columns: repeat(6, 1fr);
  gap: 1rem;
}
.main-grid-element1 {
  grid-column: 1 / 7;
  grid-row: 1 / 2;
  font-weight: 700;
  font-size: 50px;
  justify-self: start;
}
.main-grid-element2 {
  grid-column: 1 / 7;
  grid-row: 2 / 3;
  font-weight: 700;
  font-size: 20px;
  margin-bottom: 20px;
  line-height: 28px;
}
.main-grid-element3 {
  grid-column: 1 / 3;
  grid-row: 3 / 4;
  background-color: var(--client-bg-color-1-6);
}
.main-grid-element4 {
  grid-column: 3 / 5;
  grid-row: 3 / 4;
  background-color: var(--client-bg-color-2);
}
.main-grid-element5 {
  grid-column: 5 / 7;
  grid-row: 3 / 4;
  background-color: var(--client-bg-color-3);
}
.main-grid-element6 {
  grid-column: 1 / 4;
  grid-row: 4 / 5;
  background-color: var(--client-bg-color-4);
}
.main-grid-element7 {
  grid-column: 4 / 7;
  grid-row: 4 / 5;
  background-color: var(--client-bg-color-5);
}
/* Page section main-page-technics*/
.main-page-technics {
  padding: 40px 0;
  display: grid;
  grid-template-rows: auto 255px 255px 255px 255px;
  grid-template-columns: repeat(3, 1fr);
  gap: 1rem;
}
.technics-grid-element1 {
  grid-column: 1 / 4;
  grid-row: 1 / 2;
  font-size: 50px;
  font-weight: 700;
}
.technics-grid-element2 {
  grid-column: 1 / 2;
  grid-row: 2 / 3;
  background-color: var(--client-bg-color-1-6);
}
.technics-grid-element3 {
  grid-column: 2 / 3;
  grid-row: 2 / 4;
  background-color: var(--client-bg-color-2);
}
.technics-grid-element4 {
  grid-column: 3 / 4;
  grid-row: 2 / 3;
  background-color: var(--client-bg-color-3);
}
.technics-grid-element5 {
  grid-column: 1 / 2;
  grid-row: 3 / 6;
  background-color: var(--client-bg-color-4);
}
.technics-grid-element6 {
  grid-column: 2 / 3;
  grid-row: 4 / 6;
  background-color: var(--client-bg-color-5);
}
.technics-grid-element8 {
  grid-column: 3 / 4;
  grid-row: 5 / 6;
  background-color: var(--client-bg-color-1-6);
}
.technics-grid-element7 {
  grid-column: 3 / 4;
  grid-row: 3 / 5;
  background-color: var(--client-bg-color-1-6);
}
/* Page section main-page-clients*/
.main-page-clients {
  padding: 40px 0 40px 0;
}
.clients-section-wrapper {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: flex-end;
}
.clients-section-wrapper h2 {
  font-size: 50px;
  font-weight: 700;
}
.clients-section-wrapper button {
  display: block;
  width: 180px;
  height: 50px;
  font-size: 18px;
  background: transparent;
  color: var(--btn-borders-text-color);
  border: 1px solid var(--btn-borders-text-color);
  cursor: pointer;
}
.clients-section-grid-wrapper {
  display: grid;
  grid-template-rows: repeat(2, 390px);
  grid-template-columns: repeat(3, 1fr);
  margin-top: 40px;
}
.clients-section-grid-wrapper div img {
  width: 120px;
}
.flex-wrapper {
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.col1 {
  background-color: var(--client-bg-color-1-6);
}
.col2 {
  background-color: var(--client-bg-color-2);
}
.col3 {
  background-color: var(--client-bg-color-3);
}
.col4 {
  background-color: var(--client-bg-color-4);
}
.col5 {
  background-color: var(--client-bg-color-5);
}
.col6 {
  background-color: var(--client-bg-color-1-6);
}
